View Issue Details

IDProjectCategoryView StatusLast Update
0002313SymmetricDSBugpublic2015-08-13 11:00
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.7.20 
Target Version3.7.20Fixed in Version3.7.20 
Summary0002313: When SymmetricDS is stopped via REST or jmx, auto.start.engine should be set to false so the node won't restart automatically
DescriptionWhen SymmetricDS is stopped via REST or jmx, auto.start.engine should be set to false so the node won't restart automatically
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 7afd44e8

2015-06-12 15:37:26

chenson

Details Diff
0002313: When SymmetricDS is stopped via REST or jmx auto.start.engine should be set to false so the node won't restart automatically
0002313
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/RestService.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/SymmetricServlet.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/SymmetricEngineHolder.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/service/jmx/NodeManagementService.java Diff File

SymmetricDS: master 418d346d

2015-06-12 15:37:26

chenson

Details Diff
0002313: When SymmetricDS is stopped via REST or jmx auto.start.engine should be set to false so the node won't restart automatically
0002313
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/service/jmx/NodeManagementService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/SymmetricEngineHolder.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/SymmetricServlet.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/RestService.java Diff File

Issue History

Date Modified Username Field Change
2015-06-12 15:37 chenson New Issue
2015-06-12 15:37 chenson Status new => assigned
2015-06-12 15:37 chenson Assigned To => chenson
2015-06-12 15:37 chenson Status assigned => resolved
2015-06-12 15:37 chenson Fixed in Version => 3.8.0
2015-06-12 15:37 chenson Resolution open => fixed
2015-06-12 16:00 chenson Changeset attached => SymmetricDS trunk r9498
2015-06-13 15:56 chenson Summary When SymmetricDS is stopped via REST or jmx auto.start.engine should be set to false so the node won't restart automatically => When SymmetricDS is stopped via REST or jmx, auto.start.engine should be set to false so the node won't restart automatically
2015-06-13 15:56 chenson Description Updated View Revisions
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 418d346d
2015-07-31 15:16 chenson Product Version 3.8.0 => 3.7.20
2015-07-31 15:16 chenson Fixed in Version 3.8.0 => 3.7.20
2015-07-31 15:16 chenson Target Version 3.8.0 => 3.7.20
2015-08-08 14:10 chenson Status resolved => closed
2015-08-13 11:00 chenson Changeset attached => SymmetricDS 3.7 7afd44e8